#ifndef H_BLINKY_LED
#define H_BLINKY_LED

#include <string.h>
#include "esp_wifi.h"
#include "esp_system.h"
#include "esp_log.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "driver/gpio.h"

#include "Mesh_OTA.h"

#define GPIO_BOOT_BTN   0
#define GPIO_LED        2

#define GPIO_INPUT_PIN_SEL  (1ULL<<GPIO_BOOT_BTN) 

 enum blinky_packet_type 
 {
        LED_OFF,  
        LED_ON,          
};

typedef enum blinky_packet_type  BLINKY_PACKET_t;

esp_err_t errBlinkyLEDInitialize();

void vGPIOInitialize();
void vTaskReadUserInput(void *arg);
void vTaskReceiveData(void *arg);

#endif /* H_BLINKY_LED */
 
 
